<template>
  <div
    v-drag="true"
    class="exportBox"
  >
    <div class="exportTitle">
      <label>出图列表</label>
      <el-icon
        @click="setSpatialClose"
        :size="20"
      >
        <Close />
      </el-icon>
    </div>
  </div>
</template>
  
  <script lang="ts" setup>
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
import { User, Lock } from "@element-plus/icons-vue";
import { useStore } from "vuex"; // 引入useStore 方法

const store = useStore(); // 该方法用于返回store 实例
const emits = defineEmits(["SETspatialClose"]);
const setSpatialClose = () => {
  store.state.setExportList = false;
};
</script>
  
  <style lang="less" scoped>
.exportBox {
  width: 800px;
  height: 400px;
  display: flex;
  position: absolute;
  bottom: 10px;
  right: 50px;
  background: rgba(7, 8, 14, 0.8);
  border: 1px solid #d6e4ff;
  z-index: 50;
  box-shadow: inset 0px 10px 40px 10px rgba(38, 47, 71, 1);
  .exportTitle {
    padding: 10px;
    width: calc(100% - 20px);
    color: #d6e4ff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 30px;
    label {
      font-size: 16px;
    }
  }
}
</style> 